Subject: The "3rd option" humm

From: Ted Hardie <[email-masked]>
Date: Mon, 27 Jul 2015 10:28:36 -0700

Howdy,

During one of the discussion at IETF 93, we ran into a problem that is
increasingly common:  having some folks for a position, a tiny group in
opposition, and a group equal to or larger than the proponent group that
claimed not to have enough information to make a decision.

Thinking through why this seems to be common, I suspect that the "3rd
option" hums are not distinguishing well between two cases:  an individual
feeling unready to state a position and an individual who believes that the
information available to the group isn't enough to make a decision.

I'd like to float a different formulation of the "3rd option" to see what
people think.

Option 1:  Hum now if you are in favor of X.
Option 2:  Hum now if you are in favor of Y (or Hum now if you oppose X.)
Option 3:  Hum now if you believe the group should block on this decision
until more information is available.

As a chair, I think it would be easier to ask what information that would
be with this formulation (not impossible now, obviously) and that it might
help distinguish between the two cases noted above.

Any thoughts on this?

Ted

---

From: Warren Kumari <[email-masked]>
Date: Mon, 27 Jul 2015 13:55:33 -0400

> until more information is available.

This sounds like a good idea to me.

I usually do hums as:
1: Please hum now if you think we should do X.
2: Please hum now if you think we should not do X.
3: Please hum now if you don't think that you are not sure if you know
enough about X to be able to made a decision about X.

This usually ends in a strong hum for 1, a weak hum for 2, and then a
very strong hum for 3, along with a whole bunch of people (me
included) who have no idea what 3 actually means.
Clearly wording hum questions is hard, especially when you are on
stage, and trying to both listen to the presentation, and whisper to
your co-chair to make sure he agrees with what you are about to do....

One of my sadder experiences last week was on an adoption of a
document for one of my WGs.
The room contained probably 50 people...

I asked for a show of hands as to who had read the document - around 5 hands.
I looked sad, pleaded a bit and then asked how many people *intended*
to read the document - about 5 hands....

I then, just for interest, asked for a hum who thought we should adopt
the document -- it was a very strong hum - probably 80+% of the
room... So, a large majority of people who hadn't read that document,
and had no intention of reading the document figure that we should
adopt the document... I'm still now sure what that actually means :-(

W

>
> As a chair, I think it would be easier to ask what information that would be
> with this formulation (not impossible now, obviously) and that it might help
> distinguish between the two cases noted above.
>
> Any thoughts on this?
>
> Ted

-- 
I don't think the execution is relevant when it was obviously a bad
idea in the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair
of pants.
   ---maf

---

From: Aaron Falk <[email-masked]>
Date: Mon, 27 Jul 2015 20:54:16 +0200

More options:

4. Please hum now if either X or Y are acceptable (c.f. TCPINC)

5. Please hum now if you agree with the proposal but don't plan to do any
work

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Mon, 27 Jul 2015 15:28:52 -0400

> -----Original Message-----
...
> One of my sadder experiences last week was on an adoption of a document
> for one of my WGs.
> I looked sad, pleaded a bit and then asked how many people *intended* to
> read the document - about 5 hands....
> 
> the document -- it was a very strong hum - probably 80+% of the room...
> So, a large majority of people who hadn't read that document, and had no
> intention of reading the document figure that we should adopt the
> document... I'm still now sure what that actually means :-(
> 
> W
> 

[ACM] speculating a bit:
If the crowd of well-voiced hummers has just heard enough about the
draft to be satisfied, then they want to see the draft move forward,
and want someone else to do the work (IETF tourism to some degree).
The real call for adoption is on the list, where tourists don't go.

Al

---

From: Suzanne Woolf <[email-masked]>
Date: Mon, 27 Jul 2015 17:19:40 -0400

> The real call for adoption is on the list, where tourists don't go.

I'm familiar with the situation Warren is talking about, and I think the WG where this happened is a lot like the WG I co-chair-- we can have very different dynamics between the in-person meetings and list activity. My co-chair and I try to consider both as appropriate, but it's one of the more interesting challenges. 

Suzanne

---

From: Toerless Eckert <[email-masked]>
Date: Tue, 28 Jul 2015 00:53:52 -0700

A 3rd hum is not necessary if the 2 hums for are 1: Do X now, 2: Not do X now.
That always means that if 2. wins, you can go back to proponents of X
and tell them to do things to get more support.

For more complex polls, probably:
  put up an etherpad with the text:

    Hum for only one of the following / for any subset you like:
    A. ...
    B. ...
    ...
    F. None of the above. I will come to the mike afterwards and explain

Read out loud, take the hums, take the mike line.

Btw: There are a lot of folks who for better or worse vote in elections
for or against things they only know by title and freely interpret
what it could mean. It makes sense to identify this situation, but i am
not sure we could or should try to eliminate it. It primarily means that
titles are important.

Cheers
    Toerless

-- 
---
Toerless Eckert, [email-masked]

---

From: Tim Chown <[email-masked]>
Date: Tue, 28 Jul 2015 09:27:35 +0100

Hi,

> On 27 Jul 2015, at 18:28, Ted Hardie <[email-masked]> wrote:
> 
> Howdy,
> 
> During one of the discussion at IETF 93, we ran into a problem that is increasingly common:  having some folks for a position, a tiny group in opposition, and a group equal to or larger than the proponent group that claimed not to have enough information to make a decision.
> 
> Thinking through why this seems to be common, I suspect that the "3rd option" hums are not distinguishing well between two cases:  an individual feeling unready to state a position and an individual who believes that the information available to the group isn't enough to make a decision.  
> 
> I'd like to float a different formulation of the "3rd option" to see what people think.
> 
> Option 3:  Hum now if you believe the group should block on this decision until more information is available.
> 
> As a chair, I think it would be easier to ask what information that would be with this formulation (not impossible now, obviously) and that it might help distinguish between the two cases noted above.
> 
> Any thoughts on this?

I think it’s perfectly reasonable to state the position, ask the ‘Do we have enough information to make this decision?’ question first, and only go on to a decision hum if that question passes.

Tim

---

From: Barry Leiba <[email-masked]>
Date: Tue, 28 Jul 2015 10:58:49 +0200

Let me suggest that, often (clearly not always, but more often than I
think we realize), we're doing the wrong thing by doing hums in the
way we often do them.  When we use a hum to get a discussion started,
to get a sense of what view people are starting from, that's different
from what I'm talking about here.  But when we use a hum *after*
discussion, to see where things have come...

...often -- not always, but often -- the discussion has already given
us, as chairs, a sense of where the consensus is.  When we have such a
sense, we still usually have those same sorts of "who wants X? who
wants Y? who doesn't know?" hums, and I propose that they're not the
right way to approach this situation.  In cases such as that, they
really seems like votes: big hum for X, small hum for Y, sounds like
we go with X.  Hum.

If the discussion has you, as chair, think we've mostly gone to X, I
suggest the better approach is this: "I'm hearing strong arguments in
favor of X, and it sounds like that's where we're headed.  If you have
a strong objection to X or you think we need more discussion to bring
out additional issues, please come to the mic now and tell us why."
You can make that a "hum" or not, but the key is that we need to hear
the arguments, not just a hum.

IMO, we spend too much effort worrying about hums as a decision
mechanism, and that's not what they should be for.

Barry

---

From: S Moonesamy <[email-masked]>
Date: Tue, 28 Jul 2015 03:03:19 -0700

Hi Ted,
At 10:28 AM 7/27/2015, Ted Hardie wrote:
>During one of the discussion at IETF 93, we ran into a problem that 
>is increasingly common:  having some folks for a position, a tiny 
>group in opposition, and a group equal to or larger than the 
>proponent group that claimed not to have enough information to make a decision.
>
>Thinking through why this seems to be common, I suspect that the 
>"3rd option" hums are not distinguishing well between two cases:  an 
>individual feeling unready to state a position and an individual who 
>believes that the information available to the group isn't enough to 
>make a decision.
>
>Option 3:  Hum now if you believe the group should block on this 
>decision until more information is available.
>
>As a chair, I think it would be easier to ask what information that 
>would be with this formulation (not impossible now, obviously) and 
>that it might help distinguish between the two cases noted above.

You identified two issues in the above:

   (a) An individual feeling unready to state a position

   (b) An individual not having enough information to state a position

The third option will block the decision.  Are you pushing for a 
decision too strongly?  Barry made a good point about hums as a 
decision mechanism [1].  I suggest focusing on (b) if you, as a 
Chair, will be using the hum to take a decision.

There is a problem ahead; if the group blocks the decision you will 
have to figure out how to get out of that.  Why did you decide to take a hum?

Regards,
S. Moonesamy

1. http://www.ietf.org/mail-archive/web/wgchairs/current/msg13769.html

---

From: Aaron Falk <[email-masked]>
Date: Tue, 28 Jul 2015 13:51:11 +0200

On Tuesday, July 28, 2015, Barry Leiba <[email-masked]> wrote:

> Great point, Barry. I've also noticed that hums are often taken in the
last few minutes of a session. That leaves little it no time for the
"please come to the mic now and tell us why" part.  Sometimes the
discussion that comes out is key to clarifying the discussion and gaining
consensus.

--aaron

-- 
-- aaron

Sent from Gmail Mobile

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Tue, 28 Jul 2015 08:01:31 -0500

I'm agreeing with Aaron agreeing with Barry.

> discussion that comes out is key to clarifying the discussion and gaining

We don't use "can you tell us why you hummed that way?" nearly often enough
...

Spencer

---

From: Aaron Falk <[email-masked]>
Date: Tue, 28 Jul 2015 09:54:47 -0400

Maybe what we need is for the expository half of a BoF session to be at the
beginning of the week and the feedback and decision making half to be at
the end of the week. Might be interesting to try it once...

On Tue, Jul 28, 2015 at 9:01 AM, Spencer Dawkins at IETF <
[email-masked]> wrote:

> We don't use "can you tell us why you hummed that way?" nearly often
> enough ...
>
> Spencer
>

---

From: Adam Roach <[email-masked]>
Date: Tue, 28 Jul 2015 10:01:14 -0500

On 7/28/15 03:58, Barry Leiba wrote:
> us, as chairs, a sense of where the consensus is.

I'm not sure how true that is. Frequently, when a position I agree with 
is being competently conveyed at the microphone, I don't feel the need 
to stand up and say "me too." So I suspect you get a good representation 
of the various room positions without necessarily getting a good feel 
for the magnitude of those supporting them.

/a

---

From: Melinda Shore <[email-masked]>
Date: Tue, 28 Jul 2015 10:09:21 -0800

> and tell them to do things to get more support.

This isn't voting, Toerless.

Melinda

---

From: Melinda Shore <[email-masked]>
Date: Tue, 28 Jul 2015 10:11:28 -0800

> mechanism, and that's not what they should be for.

Yes, to all of this!

Melinda

---

From: Toerless Eckert <[email-masked]>
Date: Tue, 28 Jul 2015 12:50:49 -0700

> This isn't voting, Toerless.

Let me rephrase "Hum now if you think we have rough consensus on X",
"hum now if you think we do not have rough consenus on X".

Logically the same thing. Just saying that if you really are asking
for or against one question, you don't need three hums, two are enough.

---

From: Melinda Shore <[email-masked]>
Date: Tue, 28 Jul 2015 12:10:12 -0800

> "hum now if you think we do not have rough consenus on X".

Chairs call consensus, depending on the sense of the working
group.  "Do you think we have agreement?" is not the same question
as "Do you think this is correct?" or "Do you think this draft
should be adopted as a working group deliverable?"

The problem with this discussion goes back to what Barry said:
if most people object but are wrong on technical issues (and
we've had that happen in the past) and one person agrees and
is correct on technical issues, if you're using humming as a vote
(which happens so often that I think it's quite clear that
that "rough consensus and running code" thing has gone the way of
the dodo bird) you're going to come to a technically incorrect
decision.  Ideally, correct arguments are going to be compelling
but they are not always.  The nvo3 chairs did a very good job
negotiating some really terrible proposals supported by a
large number of people as the group was ramping up.

During this meeting I was in some sessions where hums were taken
and the chairs treated the matter as settled, and needed to be
reminded to take it back to the working group mailing list.
I think a lot of times when we find ourselves in the weeds it's a
result of 1) not making crisp decisions and communicating those
clearly to the working group on the mailing list; 2) making bad
decisions on the basis of a vote and ending up with a brouhaha.

RFC 7282 really is quite helpful.

Melinda

---

From: Alia Atlas <[email-masked]>
Date: Tue, 28 Jul 2015 16:26:28 -0400

For those interested, in addition to RFC 7282, Pete Resnick was kind enough
to
do a Routing Area WG Chair training "On Consensus".  This was very useful

The recording & slides are on the wiki at:
http://wiki.tools.ietf.org/area/rtg/trac/wiki/WGChairTraining

Regards,
Alia

---

From: Toerless Eckert <[email-masked]>
Date: Tue, 28 Jul 2015 13:29:54 -0700

Sorry, i thought the stage of this thread i commented on was
just about the logic of doing different type of hums (2 vs 3 or the like).

What you describe is a different problem. Luckily, i have not come across
(or can't remember) cases like what you describe re. voting to replace
vetting technical correctness. Aka: no disagreement with what you say,
but naively hoping its a rare case and easily recognized and dealt with.

Btw: Your example seems to indicate that we should encourage contributors
to be obnoxious when they think they are technically right because
there seems to be evidence that IETF lemmings do jump down a cliff.

Cheers
    Toerless

---

From: Melinda Shore <[email-masked]>
Date: Tue, 28 Jul 2015 12:38:20 -0800

> there seems to be evidence that IETF lemmings do jump down a cliff.

People are going to be obnoxious or they're not, which is an
entirely different subject.  We've got mechanisms for dealing
with that and presumably when we make decisions and we know
they're contested we're making sure that the decision is
sufficiently well-grounded to survive an appeal.  But that's
another topic.

I don't think the 3rd-option hum discussion is cleanly separable
from the it's-not-a-vote discussion.

Melinda

---

From: Barry Leiba <[email-masked]>
Date: Wed, 29 Jul 2015 13:55:46 +0200

> I'm not sure how true that is. Frequently, when a position I agree with is
> being competently conveyed at the microphone, I don't feel the need to stand
> up and say "me too." So I suspect you get a good representation of the
> various room positions without necessarily getting a good feel for the
> magnitude of those supporting them.

After the discussion has been had (which is the stage I'm talking
about), why does the magnitude matter?  What matters then is how the
technical discussion has gone and whether the arguments have been
brought out, discussed, and addressed.

I care about the magnitude at the *beginning* of the discussion,
because it advises me how to get the discussion going, and perhaps how
to bring out the issues.  At the end, I just want to see that there's
nothing we've missed.

And, as I said, nothing is absolute, and this isn't always what's going to work.

Barry

---

From: Michael Richardson <[email-masked]>
Date: Tue, 28 Jul 2015 09:46:30 -0400

> the arguments, not just a hum.

A very astute suggestion.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-